import React, { useEffect, useState } from 'react';
import VodItem from './vodItem';

function VodList(props) {
  let [vod_ar,setVodAr] = useState([])

  useEffect(() => {
    doApi()
  },[])

  const doApi = async() => {
    let url = "http://fs1.co.il/bus/tv.php";
    let resp = await fetch(url);
    let data = await resp.json();
    console.log(data);
    setVodAr(data);
  }

  return (
    <div>
      <h3>List of Vod</h3>
      <div className="row">
        {vod_ar.map(item => {
          return(
            <VodItem key={item.name} item={item} />
          )
        })}
     
        
      </div>
    </div>
  )
}

export default VodList